TreeNodeWizardMenuEvent (VRE Definition Portlet 4.3.0-3.8.0 API)
Date: 2015-08-07

org.gcube.portlets.admin.vredefinition.client.event

## Class TreeNodeWizardMenuEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<TreeNodeWizardMenuEventHandler>
    - - org.gcube.portlets.admin.vredefinition.client.event.TreeNodeWizardMenuEvent

-     public class TreeNodeWizardMenuEvent
      extends com.google.gwt.event.shared.GwtEvent<TreeNodeWizardMenuEventHandler>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.google.gwt.event.shared.GwtEvent.Type<TreeNodeWizardMenuEventHandler>` | `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeNodeWizardMenuEvent(WizardStepModel step)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(TreeNodeWizardMenuEventHandler handler)`
    `com.google.gwt.event.shared.GwtEvent.Type<TreeNodeWizardMenuEventHandler>` | `getAssociatedType()`
    `WizardStepModel` | `getStepModel()`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static com.google.gwt.event.shared.GwtEvent.Type<TreeNodeWizardMenuEventHandler> TYPE

  - ### Constructor Detail

    - #### TreeNodeWizardMenuEvent

          public TreeNodeWizardMenuEvent(WizardStepModel step)

  - ### Method Detail

    - #### getStepModel

          public WizardStepModel getStepModel()

    - #### dispatch

          protected void dispatch(TreeNodeWizardMenuEventHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<TreeNodeWizardMenuEventHandler>`

    - #### getAssociatedType

          public com.google.gwt.event.shared.GwtEvent.Type<TreeNodeWizardMenuEventHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<TreeNodeWizardMenuEventHandler>`

Copyright © 2015. All Rights Reserved.